<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
	<!--	FORMULARIOS-->
		<form-bean
				name="w83bFormBusqArbitros"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bArbitrosBean" type="w83b.w83bBeans.W83bArbitrosBean"/>
				<form-property name="codSelec" type="java.lang.String"/>	
				<form-property name="w83bprovincia" type="java.lang.String"/>
				
		</form-bean>
		<form-bean
				name="w83bFormNuevoArbitros"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bArbitrosNuevoBean" type="w83b.w83bBeans.W83bArbitrosBean"/>
				<form-property name="w83bprovincia" type="java.lang.String"/>
		</form-bean>
	
	
	<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormBusqArbitros[w83bArbitrosBean],w83bFormNuevoArbitros[w83bArbitrosNuevoBean]"/>				   
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.mantenimientos.arbitros"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.arbitros.filtro"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>	
				<form-property name="busqRealizadaTemp" type="java.lang.String" initial="false"/>	
				<form-property name="codSelec" type="java.lang.String"/>	
				
				<form-property name="migas" type="java.lang.String" initial ="inicio.mantenimiento.arbitros"/>								
				
				<form-property name="w83bResultado" type="java.lang.String"/>
				
				<form-property name="w83bArbitrosBean" type="w83b.w83bBeans.W83bArbitrosBean"/>
				<form-property name="w83bArbitrosNuevoBean" type="w83b.w83bBeans.W83bArbitrosBean"/>
				<form-property name="w83bArbitrosTempBean" type="w83b.w83bBeans.W83bArbitrosBean"/>
				<form-property name="w83bArbitrosNuevoTempBean" type="w83b.w83bBeans.W83bArbitrosBean"/>
				<form-property name="w83bListaArbitros" type="java.util.List"/>				
				<form-property name="w83bListaCod" type="java.util.List"/>
				<form-property name="w83bMapaArbitros" type="java.util.HashMap"/>	
							
								
				<form-property name="subOpFlag" type="java.lang.String" initial="respArea"/>
				<form-property name="w83bprovincia" type="java.lang.String"/>
				
		</form-bean>
	</form-beans>
	
	<!-- Action Mapping -->	
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
	<!--	MOSTRAR PÁGINAS-->
		<action
				path ="/w83bInicioBusquedaArbitros" forward="paginaBusqArbitros"/>
		<action
				path ="/w83bInicioBusquedaArbitrosMenu" forward="paginaArbitrosMenu"/>
		<action
				path ="/w83bInicioAnyadirArbitrosMenu" forward="paginaAnyadirArbitrosMenu"/>
				
	<!--	DISPATCHES-->
	<action
				path="/w83bDispatch"
				name="w83bFormBusqArbitros"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.buscar"
					path="/w83bBusqArbitros.do"/>
				<forward
					name="comun.boton.anyadir"
					path="/w83bTablaArbitrosIraNuevo.do"/>
				<forward
					name="comun.boton.editar"
					path="/w83bTablaArbitrosDetalle.do"/>
				<forward
					name="comun.boton.consultar"
					path="/w83bTablaArbitrosDetalle.do"/>
				<forward
					name="comun.boton.borrar"
					path="/w83bTablaArbitrosBorrar.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaArbitrosExcel.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bAtrasArbitrosBusq.do"/>
		</action>
		
		<action
				path="/w83bDispatchNuevo"
				name="w83bFormNuevoArbitros"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.guardar"
					path="/w83bMovimientoArbitros.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bTablaArbitrosAtrasNuevoEdicion.do"/>
		</action>
		
	<!-- Fin de Dispatches -->
	<!-- Operaciones de Paso -->

		<action path="/w83bTablaArbitrosOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bArbitros.W83bTablaArbitrosOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqArbitros.do"/>
			<forward name="ok" path="/w83bTablaArbitrosOutOP.do"/>
			<forward name="outOP" path="/w83bTablaArbitrosOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaArbitrosMenu.do"/>
		</action>
		
		<action path="/w83bTablaArbitrosOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bArbitros.W83bTablaArbitrosOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaArbitrosMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaArbitrosMenu.do"/>
		</action>
			
		<action path="/w83bTablaArbitrosBorrarOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bArbitros.W83bTablaArbitrosBorrarOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bTablaArbitrosBorrar.do"/>
			<forward name="error" path="/w83bInicioBusquedaArbitrosMenu.do"/>
		</action>			
		
		<action path="/w83bTablaArbitrosIraNuevo" 
		name="w83bFormBusqArbitros" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bArbitros.W83bTablaArbitrosIraNuevoAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioAnyadirArbitrosMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaArbitrosMenu.do"/>
		</action>		
				
		<action path="/w83bTablaArbitrosExcel" 
		name="w83bFormBusqRespArea" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bArbitros.W83bTablaArbitrosExcelAction" 
			 validate="false">
		</action>									
		
		<action path="/w83bAtrasArbitrosBusq" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action> 
		
		<action path="/w83bTablaArbitrosAtrasNuevoEdicion" 
		name="w83bFormBusqArbitros" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bArbitros.W83bTablaArbitrosAtrasNuevoEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaArbitrosMenu.do"/>
			<forward name="error" path="/w83bInicioAnyadirArbitrosMenu.do"/>
		</action>				


	<!-- Fin Operaciones de Paso -->
	<!-- Operaciones Internas -->
		<action path ="/w83bBusqArbitros" 
			 parameter="w83bBusqArbitrosOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaArbitrosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaArbitrosOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaArbitrosMenu.do" />
		</action>
   		<action path ="/w83bTablaArbitrosDetalle" 
			 parameter="w83bDetalleArbitrosOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaArbitrosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirArbitrosMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirArbitrosMenu.do" />
		</action>
   		<action path ="/w83bMovimientoArbitros" 
			 parameter="w83bMovimientoArbitrosOI"
			 validate="true" name="w83bFormNuevoArbitros" 
			 input="/w83bInicioAnyadirArbitrosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirArbitrosMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirArbitrosMenu.do" />
		</action>
   		<action path ="/w83bTablaArbitrosBorrar"
			 parameter="w83bBorrarArbitrosOI"
			 validate="false" name="w83bFormNuevoArbitros"
			 input="/w83bInicioAnyadirArbitrosMenu.do"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo"
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirArbitrosMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirArbitrosMenu.do" />
		</action>
	<!-- Fin Operaciones Internas -->	
	<!-- SUB-OPERACIONES -->
	<!-- Fin SUB-OPERACIONES -->				
	</action-mappings>
	
	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
	<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-arbitros.xml"/>
	<set-property property="i18nKey" value="w83bcomun" />
	</plug-in>


</struts-config>